Subject: Re: [PATCH v5 1/3] PCI: Add pci_ats_required() for CXL.cache capable devices

From: Nicolin Chen <[email-masked]>
Date: Wed, 20 May 2026 13:20:56 -0700

On Wed, May 20, 2026 at 03:03:27PM -0500, Bjorn Helgaas wrote:
> On Wed, May 20, 2026 at 12:46:08PM -0700, Nicolin Chen wrote:
> > +bool pci_ats_required(struct pci_dev *pdev)
> > +{
> > +	if (pci_ats_disabled() || !pci_ats_supported(pdev))
> > +		return false;
> 
> I still have the question about whether it's necessary to test
> pci_ats_disabled() here.  I think pci_ats_supported() should return
> false if pci_ats_disabled() returns true.

Sorry, it fell through the crack.

And you are right that. pci_ats_disabled() seems redundant.

I can respin a v6.

Thanks
Nicolin